Bug 28719 - Cannot edit serials when deleted the selected issues
Summary: Cannot edit serials when deleted the selected issues
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Alexis Ripetti
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-16 15:31 UTC by Alexis Ripetti
Modified: 2022-05-11 19:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28719: Change somes links in the serials page to avoid them leading to nothing (1.89 KB, patch)
2021-07-16 15:53 UTC, Alexis Ripetti
Details | Diff | Splinter Review
Bug 28719: Change somes links in the serials page to avoid them leading to nothing (1.89 KB, patch)
2021-07-16 15:58 UTC, Alexis Ripetti
Details | Diff | Splinter Review
Bug 28719: Change somes links in the serials page to avoid them leading to nothing (1.94 KB, patch)
2021-08-10 16:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 28719: Change somes links in the serials page to avoid them leading to nothing (2.43 KB, patch)
2021-08-13 15:13 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Ripetti 2021-07-16 15:31:41 UTC
When you delete the selected issues in the serials page, the 'Edit serials' button lands to nothing. 
The link becomes '/cgi-bin/koha/serials/serials-collection.pl/serials-edit.pl'
Comment 1 Alexis Ripetti 2021-07-16 15:53:43 UTC Comment hidden (obsolete)
Comment 2 Alexis Ripetti 2021-07-16 15:58:41 UTC
Created attachment 122920 [details] [review]
Bug 28719: Change somes links in the serials page to avoid them leading to nothing
Comment 3 Alexis Ripetti 2021-07-21 12:42:40 UTC
I forgot to add a test plan, so :
1- Search for a serial
2- Pick one
3- Go to 'Serial collection' on the left
4- An issue should be selected if you're expected a new issue
5- delete it using 'Delete selected issues'
6- Confirm deletion
7- If you're supposed to receive more issues the next one should now be there
8- Now edit the serial ('Edit serials')
9- See that the link leads to nothing
10- Apply patch and redo steps 1 to 8
11- See that the link now leads to something
Comment 4 Kyle M Hall 2021-08-10 16:00:27 UTC
Created attachment 123704 [details] [review]
Bug 28719: Change somes links in the serials page to avoid them leading to nothing

Signed-off-by: kelly <kelly@bywatersolutions.com>
Comment 5 Nick Clemens 2021-08-13 15:13:11 UTC
Created attachment 123826 [details] [review]
Bug 28719: Change somes links in the serials page to avoid them leading to nothing

To test:
1- Search for a serial
2- Pick one
3- Go to 'Serial collection' on the left
4- An issue should be selected if you're expected a new issue
5- delete it using 'Delete selected issues'
6- Confirm deletion
7- If you're supposed to receive more issues the next one should now be there
8- Now edit the serial ('Edit serials')
9- See that the link leads to nothing
10- Apply patch and redo steps 1 to 8
11- See that the link now leads to something

Signed-off-by: kelly <kelly@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-08-16 10:05:09 UTC
Pushed to master for 21.11, thanks to everybody involved!